petsc-3.7.7 2017-09-25
Report Typos and Errors

# SNESGetNGS

Returns the NGS function and context.

### Synopsis

    #include "petscsnes.h"
    #undef __FUNCT__
    #define __FUNCT__ "SNESGetNGS"
    PetscErrorCode SNESGetNGS (SNES snes, PetscErrorCode (**f)(SNES, Vec, Vec, void*), void ** ctx)

### Input Parameter

snes -the SNES context

### Output Parameter

| f | - the function (or NULL) see SNESNGSFunction for details
| ctx | - the function context (or NULL)

### Keywords

SNES, nonlinear, get, function

### See Also

SNESSetNGS(), SNESGetFunction()

Level:advanced
Location:src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages